#pragma once
#include <map>
struct M_NoviceGunLiftCFGData
{
	//编号
	int mID;
	//名称
	std::string mName;
	//升级石返利
	int mRechangId;
	//可升至
	int mRise;
	//礼包id
	int mGiftId;
	//老升级石数量
	std::vector<int> mUpgradeNumber;
};

class M_NoviceGunLiftCFG
{
public:
private:
	static std::auto_ptr<M_NoviceGunLiftCFG> msSingleton;
public:
	int GetCount();
	const M_NoviceGunLiftCFGData* GetData(int ID);
	const std::map<int, M_NoviceGunLiftCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_NoviceGunLiftCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_NoviceGunLiftCFGData> mMapData;
};
